parsetools.h File Reference
`#include "upnputil.h"`
`#include "httpparser.h"`
Include dependency graph for parsetools.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | has_xml_content_type (http_message_t *hmsg)
| Find the header from the HTTP message and match the header for xml data. More...

## Function Documentation

## has_xml_content_type()

int has_xml_content_type | ( | http_message_t * | hmsg | ) |

Find the header from the HTTP message and match the header for xml data.

Returns
  boolean.

Parameters

  hmsg | HTTP Message object.

Referenced by soap_device_callback().